import Vue from 'vue'
import App from './App.vue'
// import { msgTips } from "@/api/allApi";
import router from './router'
import store from './store'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import './assets/css/global.css';
import './assets/icon/iconfont.css';
import './permission' // permission control

// const prodUrl = 'https://xiaoyou.dgtis.com/admin/storage/create';//正式地址

const prodUrl = 'http://47.103.79.143:9085/admin/storage/create';//阿里云地址

const devUrl = 'http://192.168.100.208:8080/admin/storage/create';//测试地址

const baseUrl = process.env.NODE_ENV === 'production' ? prodUrl : devUrl;
Vue.prototype.baseUrl = baseUrl;
Vue.config.productionTip = false;

// Vue.prototype.getMsgTips = function (){
//   msgTips().then(response => {
//     return response.data.data
//   })
// }
// this.getMsgTips();
Vue.use(ElementUI);
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
